[IMPORTANT ALERT] AWS is replacing the SSL certificates for connecting to Redshift on 23rd October


#1

This alert concerns only Snowplow users loading Redshift through an SSL connection and can be ignored by all other users.

Amazon has emailed all Redshift users notifying that:

  • On 23rd October SSL certificates on all Redshift clusters will be replaced
  • To avoid disruption it is recommended to upgrade JDBC driver to latest version

Unfortunately, all so-far released versions of the RDB Loader and the prior StorageLoader have outdated drivers.

The update of the JDBC driver is part of the upcoming RDB Loader 0.14.0 release, which is in final QA and will be released alongside Snowplow R95 Ellora.

Until then, if you need to use SSL connection you have two options:

  1. Use StorageLoader and the Redshift Certificate Authority Bundle as described in documentation on your orchestrating server
  2. Use the as-yet unreleased RDB Loader rc2. To use this, the following properties in config.yml need to be bumped:
  • storage.versions.rdb_loader to 0.14.0-rc2
  • storage.versions.rdb_shredder to 0.13.0-rc2
  • aws.emr.amiVersion to 5.9.0

Please share any experiences (whether positive or negative) in this thread to assist others in the community!


#2

#3

#4

#5